Name:           python-deeptime
Version:        0.4.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python library for analysis of time series data including dimensionality reduction, clustering, and Markov model estimation.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://deeptime-ml.github.io
Source:         %{pypi_source deeptime}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'deeptime' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-deeptime
Summary:        %{summary}

%description -n python3-deeptime %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-deeptime deep-learning,docs,plotting,tests,units


%prep
%autosetup -p1 -n deeptime-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x deep-learning,docs,plotting,tests,units


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-deeptime -f %{pyproject_files}


%changelog
%autochangelog